Method: projects.locations.companionAgents.list

Lists companion agents.

HTTP request

GET https://{endpoint}/v2/{parent=projects/*/locations/*}/companionAgents

Where {endpoint} is one of the supported service endpoints.

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource name to list the companion agents for. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of companion agents to return in a single page. By default 100 and at most 1000.

pageToken

string

Optional. The page token, received from a previous call.

Request body

The request body must be empty.

Response body

Response message for companionAgents.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "companionAgents": [
    {
      object (CompanionAgent)
    }
  ],
  "nextPageToken": string
}
Fields
companionAgents[]

object (CompanionAgent)

The list of companion agents.

nextPageToken

string

Token to retrieve the next page of results, or empty if there are no more results in the list.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dialogflow

For more information, see the Authentication Overview.